# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'bagira/version'

Gem::Specification.new do |spec|
  spec.name          = "bagira"
  spec.version       = Bagira::VERSION
  spec.authors       = ["Juan Manuel Vallejo"]
  spec.email         = ["jmvallejo@gmail.com"]

  spec.summary       = %q{This gem uses Ghostscript and Tesseract to perform OCR on various file formats.}
  spec.description   = %q{This gem uses Ghostscript and Tesseract to perform OCR on various file formats.}
  spec.homepage      = "http://bitbucket.org/juanmvallejo/bagira/wiki/Home"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec"

  # Runtime dependencies
  spec.add_dependency "pdf-reader", "~> 1.4"
end
